import { ProjectModel } from "@bryntum/schedulerpro";

const project = new ProjectModel({
  // This config enables response validation and dumping of found errors to the browser console.
  // It's meant to be used as a development stage helper only so please set it to false for production systems.
  validateResponse: true,
});

export const useSchedulerProConfig = {
  project,
  columns: [{ text: "Name", field: "name", width: 160 }],
  startDate: new Date(2022, 0, 1),
  endDate: new Date(2022, 0, 10),

  zoomKeepsOriginalTimespan: true,

  // Calendar preset view
  viewPreset: {
    base: "dayAndWeek",
  },
  listeners: {
    scheduleDblClick({ source, date }) {
      console.log(source.viewPreset.id);
      console.log(date);
    },
  },
  // eventRenderer({ eventRecord }) {
  //   let startDate = new Date(eventRecord.startDate);
  //   //let endDate = new Date(eventRecord.eventDate);
  //   let eventDuration = 0;
  //   eventDuration = eventRecord.duration * 2;
  //   //console.log(eventDuration);
  //   startDate = DateHelper.add(startDate, 3, "day");
  //   //endDate = DateHelper.add(endDate, eventDuration, "hour");
  //   eventRecord.beginBatch();
  //   eventRecord.setStartDate(startDate);
  //   eventRecord.setDuration(eventDuration * 2, "week");
  //   eventRecord.endBatch();
  //   console.log(eventRecord);
  // },
};
